"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MockUBAConfig = void 0;
var tslib_1 = require("tslib");
var utils_1 = require("ethers/lib/utils");
var UBAFeeConfig_1 = tslib_1.__importDefault(require("../../UBAFeeCalculator/UBAFeeConfig"));
var utils_2 = require("../../utils");
var MockUBAConfig = (function (_super) {
    tslib_1.__extends(MockUBAConfig, _super);
    function MockUBAConfig() {
        var _this = _super.call(this, {
            default: (0, utils_2.toBN)(0),
        }, {
            default: [[(0, utils_2.toBN)(100000), (0, utils_2.toBN)(0)]],
        }, {
            default: {
                upperBound: {},
                lowerBound: {},
            },
        }, {
            default: [[(0, utils_2.toBN)(0), (0, utils_1.parseEther)("1")]],
        }, {}, {}) || this;
        _this.balancingFee.default = [
            [(0, utils_2.toBN)(0), (0, utils_1.parseEther)("2")],
            [(0, utils_2.toBN)(100000), (0, utils_2.toBN)(0)],
        ];
        return _this;
    }
    MockUBAConfig.prototype.setBalancingFeeCurve = function (chainId, curve) {
        var _a;
        this.balancingFee.override = tslib_1.__assign(tslib_1.__assign({}, (this.balancingFee.override || {})), (_a = {}, _a[chainId] = curve, _a));
    };
    MockUBAConfig.prototype.setBalancingFeeDefaultCurve = function (curve) {
        this.balancingFee.default = curve;
    };
    MockUBAConfig.prototype.setRewardMultiplier = function (chainId, multiplier) {
        this.ubaRewardMultiplier[chainId] = multiplier;
    };
    return MockUBAConfig;
}(UBAFeeConfig_1.default));
exports.MockUBAConfig = MockUBAConfig;
//# sourceMappingURL=MockUBAConfig.js.map