"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArbitrumGoerliQueries = exports.ArbitrumQueries = void 0;
var tslib_1 = require("tslib");
var DeploymentUtils_1 = require("../../utils/DeploymentUtils");
var relayFeeCalculator_1 = require("../relayFeeCalculator");
var constants_1 = require("../../constants");
var baseQuery_1 = require("./baseQuery");
var baseQuery_2 = tslib_1.__importDefault(require("./baseQuery"));
var ArbitrumQueries = (function (_super) {
    tslib_1.__extends(ArbitrumQueries, _super);
    function ArbitrumQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.ARBITRUM); }
        if (usdcAddress === void 0) { usdcAddress = constants_1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants_1.CHAIN_IDs.ARBITRUM]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = baseQuery_1.DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ArbitrumQueries;
}(baseQuery_2.default));
exports.ArbitrumQueries = ArbitrumQueries;
var ArbitrumGoerliQueries = (function (_super) {
    tslib_1.__extends(ArbitrumGoerliQueries, _super);
    function ArbitrumGoerliQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.ARBITRUM_GOERLI); }
        if (usdcAddress === void 0) { usdcAddress = constants_1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants_1.CHAIN_IDs.ARBITRUM_GOERLI]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = "0x9A8f92a830A5cB89a3816e3D267CB7791c16b04D"; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ArbitrumGoerliQueries;
}(baseQuery_2.default));
exports.ArbitrumGoerliQueries = ArbitrumGoerliQueries;
//# sourceMappingURL=arbitrum.js.map