"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BobaQueries = void 0;
var tslib_1 = require("tslib");
var relayFeeCalculator_1 = require("../relayFeeCalculator");
var ethers_1 = require("ethers");
var baseQuery_1 = tslib_1.__importStar(require("./baseQuery"));
var constants_1 = require("../../constants");
var DeploymentUtils_1 = require("../../utils/DeploymentUtils");
var BobaQueries = (function (_super) {
    tslib_1.__extends(BobaQueries, _super);
    function BobaQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = constants_1.TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = (0, DeploymentUtils_1.getDeployedAddress)("SpokePool", constants_1.CHAIN_IDs.BOBA); }
        if (usdcAddress === void 0) { usdcAddress = constants_1.TOKEN_SYMBOLS_MAP.USDC.addresses[constants_1.CHAIN_IDs.BOBA]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = baseQuery_1.DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = relayFeeCalculator_1.DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey, ethers_1.utils.parseUnits("1", 9)) || this;
    }
    return BobaQueries;
}(baseQuery_1.default));
exports.BobaQueries = BobaQueries;
//# sourceMappingURL=boba.js.map