"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getL2TokenAddresses = exports.fetchTokenInfo = void 0;
var tslib_1 = require("tslib");
var constants = tslib_1.__importStar(require("../constants"));
var ethers_1 = require("ethers");
var typechain_1 = require("../typechain");
var TOKEN_SYMBOLS_MAP = constants.TOKEN_SYMBOLS_MAP, CHAIN_IDs = constants.CHAIN_IDs;
function fetchTokenInfo(address, signerOrProvider) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var token, _a, symbol, decimals;
        return tslib_1.__generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    token = new ethers_1.Contract(address, typechain_1.ERC20__factory.abi, signerOrProvider);
                    return [4, Promise.all([token.symbol(), token.decimals()])];
                case 1:
                    _a = _b.sent(), symbol = _a[0], decimals = _a[1];
                    return [2, { address: address, symbol: symbol, decimals: decimals }];
            }
        });
    });
}
exports.fetchTokenInfo = fetchTokenInfo;
var getL2TokenAddresses = function (l1TokenAddress) {
    var _a;
    return (_a = Object.values(TOKEN_SYMBOLS_MAP).find(function (details) {
        return details.addresses[CHAIN_IDs.MAINNET] === l1TokenAddress;
    })) === null || _a === void 0 ? void 0 : _a.addresses;
};
exports.getL2TokenAddresses = getL2TokenAddresses;
//# sourceMappingURL=TokenUtils.js.map