import { __extends } from "tslib";
import { getDeployedAddress } from "../../utils/DeploymentUtils";
import { DEFAULT_LOGGER } from "../relayFeeCalculator";
import { TOKEN_SYMBOLS_MAP, CHAIN_IDs } from "../../constants";
import { DEFAULT_SIMULATED_RELAYER_ADDRESS } from "./baseQuery";
import QueryBase from "./baseQuery";
var ArbitrumQueries = /** @class */ (function (_super) {
    __extends(ArbitrumQueries, _super);
    function ArbitrumQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = getDeployedAddress("SpokePool", CHAIN_IDs.ARBITRUM); }
        if (usdcAddress === void 0) { usdcAddress = TOKEN_SYMBOLS_MAP.USDC.addresses[CHAIN_IDs.ARBITRUM]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ArbitrumQueries;
}(QueryBase));
export { ArbitrumQueries };
var ArbitrumGoerliQueries = /** @class */ (function (_super) {
    __extends(ArbitrumGoerliQueries, _super);
    function ArbitrumGoerliQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = getDeployedAddress("SpokePool", CHAIN_IDs.ARBITRUM_GOERLI); }
        if (usdcAddress === void 0) { usdcAddress = TOKEN_SYMBOLS_MAP.USDC.addresses[CHAIN_IDs.ARBITRUM_GOERLI]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = "0x9A8f92a830A5cB89a3816e3D267CB7791c16b04D"; }
        if (logger === void 0) { logger = DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ArbitrumGoerliQueries;
}(QueryBase));
export { ArbitrumGoerliQueries };
//# sourceMappingURL=arbitrum.js.map