import { __extends } from "tslib";
import { getDeployedAddress } from "../../utils/DeploymentUtils";
import { DEFAULT_LOGGER } from "../relayFeeCalculator";
import { TOKEN_SYMBOLS_MAP, CHAIN_IDs } from "../../constants";
import { DEFAULT_SIMULATED_RELAYER_ADDRESS } from "./baseQuery";
import QueryBase from "./baseQuery";
var ZkSyncQueries = /** @class */ (function (_super) {
    __extends(ZkSyncQueries, _super);
    function ZkSyncQueries(provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = getDeployedAddress("SpokePool", CHAIN_IDs.ZK_SYNC); }
        if (usdcAddress === void 0) { usdcAddress = TOKEN_SYMBOLS_MAP.USDC.addresses[CHAIN_IDs.ZK_SYNC]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = DEFAULT_SIMULATED_RELAYER_ADDRESS; }
        if (logger === void 0) { logger = DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return ZkSyncQueries;
}(QueryBase));
export { ZkSyncQueries };
/**
 * Query class for zkSync Görli.
 */
var zkSyncGoerliQueries = /** @class */ (function (_super) {
    __extends(zkSyncGoerliQueries, _super);
    function zkSyncGoerliQueries(provider, symbolMapping, spokePoolAddress, // @todo upgrade contracts-v2
    usdcAddress, simulatedRelayerAddress, coingeckoProApiKey, logger, gasMarkup) {
        if (symbolMapping === void 0) { symbolMapping = TOKEN_SYMBOLS_MAP; }
        if (spokePoolAddress === void 0) { spokePoolAddress = "0x863859ef502F0Ee9676626ED5B418037252eFeb2"; }
        if (usdcAddress === void 0) { usdcAddress = TOKEN_SYMBOLS_MAP.USDC.addresses[CHAIN_IDs.ZK_SYNC_GOERLI]; }
        if (simulatedRelayerAddress === void 0) { simulatedRelayerAddress = "0x9A8f92a830A5cB89a3816e3D267CB7791c16b04D"; }
        if (logger === void 0) { logger = DEFAULT_LOGGER; }
        if (gasMarkup === void 0) { gasMarkup = 0; }
        return _super.call(this, provider, symbolMapping, spokePoolAddress, usdcAddress, simulatedRelayerAddress, gasMarkup, logger, coingeckoProApiKey) || this;
    }
    return zkSyncGoerliQueries;
}(QueryBase));
export { zkSyncGoerliQueries };
//# sourceMappingURL=zksync.js.map