var CliColor;
(function (CliColor) {
    CliColor["Reset"] = "\u001B[0m";
    CliColor["FgGreen"] = "\u001B[32m";
    CliColor["FgYellow"] = "\u001B[33m";
    CliColor["FgReg"] = "\u001B[31m";
})(CliColor || (CliColor = {}));
var Logger = /** @class */ (function () {
    function Logger(level) {
        this.currentLevel = level || "info";
    }
    Logger.prototype.setLevel = function (level) {
        this.currentLevel = level;
    };
    Logger.prototype.debug = function (caller, message) {
        if (this.currentLevel === "debug") {
            console.debug("".concat(new Date().toISOString(), " - "), CliColor.FgYellow, caller, CliColor.Reset, message);
        }
    };
    Logger.prototype.info = function (caller, message) {
        console.log("".concat(new Date().toISOString(), " - "), CliColor.FgGreen, caller, CliColor.Reset, message);
    };
    Logger.prototype.error = function (caller, message) {
        console.error("".concat(new Date().toISOString(), " - "), CliColor.FgReg, caller, CliColor.Reset, message);
    };
    return Logger;
}());
export { Logger };
//# sourceMappingURL=logger.js.map